//---------------------------------------------------------------------------

#ifndef PhotonGraphH
#define PhotonGraphH

#define SIDE_SIZE         80
#define TOP_SIZE          15
#define BOTTOM_SIZE       40
#define SECTION            5
//---------------------------------------------------------------------------

class TPhotonGraph
{
private :
        TImage* ImageGraph ;
        TRect m_Rect ;
        int preX[4], preY[4] ;

        Graphics::TBitmap *BackGround ;
        Graphics::TBitmap *Graph1 ;
        Graphics::TBitmap *Graph2 ;
        Graphics::TBitmap *Graph3 ;
        Graphics::TBitmap *Graph4 ;

        double Max_Current, Max_Voltage, Max_Power, Max_Resis, Max_SE ;
        void __fastcall Graph_Area(void) ;
public :
        __fastcall TPhotonGraph() ;
        __fastcall TPhotonGraph(TImage* image) ;
        __fastcall ~TPhotonGraph() ;

        void __fastcall Draw_BackGround(bool backcolor) ;
        void __fastcall Max_Value_Change(double value, int item) ;
        void __fastcall Draw_Graph(double x, double y, int spec, TColor color) ;
        void __fastcall Display_Graph(int spec) ;
        void __fastcall Delete_Graph(int spec) ;
        void __fastcall Reset_XY(void) ;
} ;
#endif
